Contents

# IsUnoStruct Function

Vráti True, ak je daný objekt Uno struct.

### Syntax:

IsUnoStruct( Uno type )

### Return value:

Boolean

### Parameters:

Uno type : A UnoObject

### Example:

    Sub Main
    Dim bIsStruct
    ' Inicializuje službu
    Dim oSimpleFileAccess
    oSimpleFileAccess = CreateUnoService( "com.sun.star.ucb.SimpleFileAccess" )
    bIsStruct = IsUnoStruct( oSimpleFileAccess )
    MsgBox bIsStruct ' Zobrazí False, lebo oSimpleFileAccess NIE JE struct
    ' Inicializácia vlastnosti struct
    Dim aProperty As New com.sun.star.beans.Property
    bIsStruct = IsUnoStruct( aProperty )
    MsgBox bIsStruct ' Zobrazí True, lebo aProperty je struct
    bIsStruct = IsUnoStruct( 42 )
    MsgBox bIsStruct ' Zobrazí False, lebo 42 NIE JE struct
    End Sub